Package org.apache.lucene.codecs.uniformsplit.sharedterms

## Class FieldMetadataTermState

- java.lang.Object
- - org.apache.lucene.codecs.uniformsplit.sharedterms.FieldMetadataTermState

-     public class FieldMetadataTermState
      extends Object

  Pair of `FieldMetadata` and `BlockTermState` for a specific field.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `FieldMetadata` | `fieldMetadata` |
    `BlockTermState` | `state` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FieldMetadataTermState​(FieldMetadata fieldMetadata, BlockTermState state)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fieldMetadata

          public final FieldMetadata fieldMetadata

    - #### state

          public final BlockTermState state

  - ### Constructor Detail

    - #### FieldMetadataTermState

          public FieldMetadataTermState​(FieldMetadata fieldMetadata,
                                        BlockTermState state)